Skip to main content

List the rules of a YARA rule set

GET 

/detection/yara/sets/:set_id/rules

Rules in the set that you can see, including their source. Quota class yara_read.

Request​

Responses​

The set's rules.

Response Headers
    RateLimit-Policy

    The minute, hour, and day limits of the governing quota, for example 50;w=60, 500;w=3600, 500;w=86400.

    RateLimit-Limit

    Limit of the governing window.

    RateLimit-Remaining

    Requests remaining in the governing window.

    RateLimit-Reset

    Seconds until capacity is available in the governing window.